# Uses of Class
com.destroystokyo.paper.block.TargetBlockInfo

Packages that use TargetBlockInfo
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of TargetBlockInfo in org.bukkit.entity

Methods in org.bukkit.entity that return TargetBlockInfo
Modifier and Type
Method
Description
`default TargetBlockInfo`
LivingEntity.`getTargetBlockInfo(int maxDistance)`
Gets information about the block the living entity has targeted, ignoring fluids
`TargetBlockInfo`
LivingEntity.`getTargetBlockInfo(int maxDistance, TargetBlockInfo.FluidMode fluidMode)`
Gets information about the block the living entity has targeted